> For the complete documentation index, see [llms.txt](https://developer.ballotpedia.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.ballotpedia.org/geographic-apis/districts.md).

# /districts

Voting districts endpoint

Given a latitude and longitude point, a list of voting districts will be returned in which that point (address) lies.

By default, the returned voting districts are in effect on the current date. An optional date parameter can be provided, which will show the districts which are/were in effect on that date. See the [About redistricting](/geographic-apis/about-redistricting.md) section for more details.

**Required parameters:** *lat, long*

**Optional parameters:** *date*

<details>

<summary>Example call</summary>

```
https://api4.ballotpedia.org/data/districts/point?lat=40.5550746&long=-74.27596989999999
```

</details>

<details>

<summary>Example response</summary>

```json
{
    "success": true,
    "data": [
        {
            "id": "249",
            "name": "New Jersey District 6",
            "type": "Congress",
            "url": "https://ballotpedia.org/New_Jersey%27s_6th_Congressional_District",
            "ocdid": "ocd-division/country:us/state:nj/cd:6",
            "nces_id": null,
            "geo_id": "5001600US3406",
            "state": "NJ",
            "end_date": null,
            "precise_boundary": true
        },
        {
            "id": "542",
            "name": "New Jersey",
            "type": "State",
            "url": "https://ballotpedia.org/New_Jersey",
            "ocdid": "ocd-division/country:us/state:nj",
            "nces_id": null,
            "geo_id": "0400000US34",
            "state": "NJ",
            "end_date": null,
            "precise_boundary": true
        },
        {
            "id": "1794",
            "name": "New Jersey State Senate District 19",
            "type": "State Legislative (Upper)",
            "url": "https://ballotpedia.org/New_Jersey_State_Senate_District_19",
            "ocdid": "ocd-division/country:us/state:nj/sldu:19",
            "nces_id": null,
            "geo_id": "610U600US34019",
            "state": "NJ",
            "end_date": null,
            "precise_boundary": true
        },
        {
            "id": "5625",
            "name": "New Jersey General Assembly District 19",
            "type": "State Legislative (Lower)",
            "url": "https://ballotpedia.org/New_Jersey_General_Assembly_District_19",
            "ocdid": "ocd-division/country:us/state:nj/sldl:19",
            "nces_id": null,
            "geo_id": "620L600US34019",
            "state": "NJ",
            "end_date": null,
            "precise_boundary": true
        },
        {
            "id": "93743",
            "name": "United States",
            "type": "Country",
            "url": "https://ballotpedia.org/Federal_Politics",
            "ocdid": "ocd-division/country:us",
            "nces_id": null,
            "geo_id": "0100000US",
            "state": "US",
            "end_date": null,
            "precise_boundary": true
        }
    ],
    "message": null
}
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.ballotpedia.org/geographic-apis/districts.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
